Martinn Martinn - 2 months ago 55
iOS Question

Unable to find a specification for GooglePlaces

I'm following this tutorial, however when I run

pod install


in step 2 part 6 I get the error

[!] Unable to find a specification for `GooglePlaces`


Any idea on why this might be happening?

UPDATE:
Podfile looks like:

source 'https://github.com/CocoaPods/Specs.git'
target 'YOUR_APPLICATION_TARGET_NAME_HERE' do
pod 'GoogleMaps'
pod 'GooglePlaces'
end


With
YOUR_APPLICATION_TARGET_NAME_HERE
changed to my target name.

Answer

This seemed to have worked for me:

source 'https://github.com/CocoaPods/Specs.git'
use_frameworks!
target 'WhatsOpen' do
  pod 'GoogleMaps'
  pod 'GooglePlacesAPI'
end

This was after trying Nilesh Jha's answer.

It also said [!] GooglePlaces has been deprecated in favor of GooglePlacesAPI So I replaced 'GooglePlaces' with 'GooglePlacesAPI' and it seems satisfied.